<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

	<xsl:template name="replace-single-quote">
		<xsl:param name="text" />
		<xsl:variable name="replace" select="&quot;'&quot;" />
		<xsl:variable name="by" select="&quot;\'&quot;" />
		<xsl:choose>
		  <xsl:when test="contains($text, $replace)">
			<xsl:value-of select="substring-before($text,$replace)" />
			<xsl:value-of select="$by" />
			<xsl:call-template name="replace-single-quote">
			  <xsl:with-param name="text" select="substring-after($text,$replace)" />
			</xsl:call-template>
		  </xsl:when>
		  <xsl:otherwise>
			<xsl:value-of select="$text"  disable-output-escaping="yes"/>
		  </xsl:otherwise>
		</xsl:choose>
	  </xsl:template>
	  
	  <xsl:template name="add-line-breaks">
	   <xsl:param name="string" select="." />
	   <xsl:choose>
	      <xsl:when test="contains($string, '&#xA;')">
	         <xsl:value-of select="substring-before($string, '&#xA;')" />
	         <br />
	         <xsl:call-template name="add-line-breaks">
	            <xsl:with-param name="string"
	                            select="substring-after($string, '&#xA;')" />
	         </xsl:call-template>
	      </xsl:when>
	      <xsl:otherwise>
	         <xsl:value-of select="$string" />
	      </xsl:otherwise>
	   </xsl:choose>
	</xsl:template>
	
	<xsl:template name="getKpwindowlayout">
		<xsl:param name="kpwindowlayout" />
		<xsl:choose>
			<xsl:when test="$kpwindowlayout!=''">
				<xsl:value-of select="$kpwindowlayout"/>
			</xsl:when>
			<xsl:otherwise>./css/kpwindow/kpwindow.css</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="getTarget">
		<xsl:choose>
			<xsl:when test="@target">'<xsl:value-of select="@target"/>'</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="content/@target">
						<xsl:value-of select="content/@target"/>
					</xsl:when>
					<xsl:otherwise>KPWindowFindParent(this).id</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
</xsl:stylesheet>