<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='text' or @fieldtype='password' or @fieldtype='file']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<input class="text_item"  >
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
				<xsl:if test="@maxlength[.!='' and .!='0']"><xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute></xsl:if>
				<xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>
				<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
				<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
				<xsl:choose>
					<xsl:when test="@numeric[.='true']">
						<xsl:attribute name="data-dojo-type">chy/form/NumberTextBox</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									name: '<xsl:value-of select="@id"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>'
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="@currency[.='true']">
						<xsl:attribute name="data-dojo-type">chy/form/CurrencyTextBox</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									name: '<xsl:value-of select="@id"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>',
									currency: 'EUR'
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="@currency1000[.='true']">
						<xsl:attribute name="data-dojo-type">chy/form/Currency1000TextBox</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									name: '<xsl:value-of select="@id"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>',
									currency: 'EUR',
									constraints: {
										fractional: false
									}
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="@fieldtype[.='text']">
						<xsl:attribute name="data-dojo-type">chy/form/ValidationTextBox</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>'
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="@fieldtype[.='password']">
						<xsl:attribute name="data-dojo-type">chy/form/ValidationTextBox</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>',
									type: 'password'
						</xsl:attribute>
					</xsl:when>
					<xsl:when test="@fieldtype[.='file']">
						<xsl:attribute name="data-dojo-type">dojox/form/FileInput</xsl:attribute>
						<xsl:attribute name="data-dojo-props">
									<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
									<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
									<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
									formId: '<xsl:value-of select="$formid"/>',
									chyValidateStr: '<xsl:value-of select="@validate"/>'
						</xsl:attribute>
					</xsl:when>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="normalize-space(content)!=''">
						<xsl:attribute name="value">
							<xsl:value-of select="content"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">
							<xsl:value-of select="@default"/>
						</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</input>
			<xsl:if test="@fieldtype[.='q_currency1000']"> K</xsl:if>
			
			<!--<input>
				<xsl:attribute name="class">
					<xsl:text>text_item </xsl:text>
					<xsl:value-of select="@class"/>
				</xsl:attribute>

				<xsl:attribute name="type">
					<xsl:value-of select="@fieldtype"/>
				</xsl:attribute>
				<xsl:if test="@id[.!='']">
					<xsl:attribute name="id">
						<xsl:value-of select="@id"/>
					</xsl:attribute>
					<xsl:if test="not(@currency) or @currency[.!='true'] or not(@numeric) or @numeric[.!='true']">
						<xsl:attribute name="name">
							<xsl:value-of select="@id"/>
						</xsl:attribute>
					</xsl:if>	

				</xsl:if>

				<xsl:if test="@maxlength[.!='']">
					<xsl:attribute name="maxlength">
						<xsl:value-of select="@maxlength"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@size[.!='']">
					<xsl:attribute name="size">
						<xsl:value-of select="@size"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@readonly[.='true']">
					<xsl:attribute name="readonly"/>
				</xsl:if>
				<xsl:if test="@title[.!='']">
					<xsl:attribute name="onmouseover">
						<xsl:text>return escape('</xsl:text>
						<xsl:value-of select="@title"/>
						<xsl:text>');</xsl:text>
					</xsl:attribute>
				</xsl:if>

				<xsl:if test="eval !='' or @format !='' or @condition !='' or @onblur != ''">
					<xsl:attribute name="onblur">
						<xsl:text>execBlur('</xsl:text>
						<xsl:value-of select="normalize-space(eval)"/>',this,'<xsl:value-of select="@format"/>','<xsl:value-of select="@condition"/>');<xsl:value-of select="@onblur"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@onchange">
					<xsl:attribute name="class">text_active</xsl:attribute>
					<xsl:attribute name="onchange">javascript:prosUrl( '<xsl:value-of select="@onchange" />')</xsl:attribute>
				</xsl:if>

				<xsl:if test="@validate[.!='']">
					<xsl:attribute name="alt">
						<xsl:value-of select="@validate"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@errortext[.!='']">
					<xsl:attribute name="emsg">
						<xsl:value-of select="@errortext"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@pattern[.!='']">
					<xsl:attribute name="pattern">
						<xsl:value-of select="@pattern"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="@placeholder[.!='']">
					<xsl:attribute name="placeholder">
						<xsl:value-of select="@placeholder"/>
					</xsl:attribute>
				</xsl:if>

				<xsl:choose>
					<xsl:when test="normalize-space(content)!=''">
						<xsl:attribute name="value">
							<xsl:value-of select="content"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="value">
							<xsl:value-of select="@default"/>
						</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
			</input>

			<xsl:if test="@currency1000[.='true']">
				k<xsl:variable name="v_readonly">
					<xsl:choose>
						<xsl:when test="@readonly[.='true']">true</xsl:when>
						<xsl:otherwise>false</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="v_val">
					<xsl:choose>
						<xsl:when test="normalize-space(content)!=''">
							<xsl:value-of select="content"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="@default"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<input type="hidden" name="component_onload"  >
					<xsl:attribute name="value">
						displayCurrency1000('<xsl:value-of select="@id"/>', <xsl:value-of select="$v_readonly"/>, '<xsl:value-of select="$v_val"/>','<xsl:value-of select="@placeholder" />','<xsl:value-of select="@id"/>_VALUE');		
					</xsl:attribute>
				</input>

			</xsl:if>
			<xsl:if test="@currency[.='true']">

				<input type="hidden" name="component_onload"  >
					<xsl:attribute name="value">

						require(["dijit/form/CurrencyTextBox", "dojo/currency","dojo/i18n!dojo/cldr/nls/nl/currency", "dojo/i18n!dojo/cldr/nls/nl/number"
						], function(CurrencyTextBox, currency){
							    var props = {
						<xsl:if test="normalize-space(content)!=''">value: <xsl:value-of select="content"/>,</xsl:if>
						<xsl:if test="@readonly[.='true']">readonly:true,</xsl:if>
							        lang: 'nl-nl',
						<xsl:if test="@placeholder[.!='']">placeHolder : '<xsl:value-of select="@placeholder"/>',</xsl:if>
						<xsl:if test="@fractional[.='false']">constraints : {fractional : false },</xsl:if>
							        currency: "EUR",
							        name: "<xsl:value-of select="@id"/>_VALUE"
							    };
							    var wdg=new CurrencyTextBox(props, "<xsl:value-of select="@id"/>");
							    wdg.startup();
						});				
					</xsl:attribute>
				</input>

			</xsl:if>
			<xsl:if test="@numeric[.='true']">
				<input type="hidden" name="component_onload"  >
					<xsl:attribute name="value">

						require(["dijit/form/NumberTextBox", "dojo/i18n!dojo/cldr/nls/nl/number"
						], function(NumberTextBox){
							    var props = {
						<xsl:if test="normalize-space(content)!=''">value: Number(<xsl:value-of select="content"/>),</xsl:if>
						<xsl:if test="@readonly[.='true']">readonly:true,</xsl:if>
						<xsl:choose>
							<xsl:when test="@pattern[.!='']">constraints: {pattern: "<xsl:value-of select="@pattern"/>"},</xsl:when>
							<xsl:when test="@numerictype[.='percent']">constraints: {min:0,max:100},</xsl:when>
							<xsl:otherwise/>
						</xsl:choose>
						<xsl:if test="@placeholder[.!='']">placeHolder : '<xsl:value-of select="@placeholder"/>',</xsl:if>
							        lang: 'nl-nl',
							        name: "<xsl:value-of select="@id"/>_VALUE"
							    };
							    wdg=new NumberTextBox(props, "<xsl:value-of select="@id"/>");
							    wdg.startup();
						});				
					</xsl:attribute>
				</input>
			</xsl:if>-->
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
