<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

	<xsl:variable name="debug" select="'false'" /> 

	<xsl:template name="dialogHeader">
		<xsl:param name="formid" />

	</xsl:template>

	<!-- depricated, use kpwindows fieldtype -->
	<xsl:template match="attr[@fieldtype='hidden2' or @fieldtype='kpwindows']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:for-each select="content">
				<input type="hidden">
					<xsl:if test="../@id[.!='']">
						<xsl:attribute name="name">
							<xsl:value-of select="../@id"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:if test="@target[.!='']">
						<xsl:attribute name="target">
							<xsl:value-of select="@target"/>
						</xsl:attribute>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="normalize-space(text())!=''">
							<xsl:attribute name="value">
								<xsl:value-of select="text()"/>
							</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value">
								<xsl:value-of select="@default"/>
							</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</input>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<!--<xsl:template match="attr[@fieldtype='kpwindows']">
			<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
				<xsl:for-each select="content">
					<input type="hidden">
						<xsl:if test="../@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="../@id"/></xsl:attribute></xsl:if>
						<xsl:if test="@target[.!='']"><xsl:attribute name="target"><xsl:value-of select="@target"/></xsl:attribute></xsl:if>
						<xsl:choose>
							<xsl:when test="normalize-space(text())!=''"><xsl:attribute name="value"><xsl:value-of select="text()"/></xsl:attribute></xsl:when>
							<xsl:otherwise><xsl:attribute name="value"><xsl:value-of select="@default"/></xsl:attribute></xsl:otherwise>
						</xsl:choose>
					</input>
				</xsl:for-each>
			</xsl:if>
	</xsl:template>-->

	<xsl:template name="make_link">
		<xsl:param name="link" />
		<xsl:param name="target" />
		<xsl:param name="kpwindowlayout" select="@kpwindowlayout" />

		<xsl:choose>
			<xsl:when test="$target ='_self' ">
				location.href='<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>';
			</xsl:when>
			<xsl:when test="@target='none' or $target='none'">
				<xsl:text/>
				<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>
				<xsl:text/>				
			</xsl:when>
			<xsl:when test="@target[.='_blank' or .='_new' or .='popup']">
				<xsl:text>prosUrlPopup('</xsl:text>
				<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>
				<xsl:text>',KPWindowFindParent(this).id);</xsl:text>				
			</xsl:when>
			<xsl:when test="$target='_blank' or $target='_new' or $target='popup'">
				<xsl:text>prosUrlPopup('</xsl:text>
				<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>
				<xsl:text>',KPWindowFindParent(this).id);</xsl:text>				
			</xsl:when>
			<xsl:when test="$target ='KPWindowOverlay' or $target ='kpwindowoverlay'">KPWindowShowOverlay('<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>&amp;cmode=kpwindow_dialogborder_overlay');
			</xsl:when>
			<xsl:otherwise>
				KPWindowSwitchCSS('<xsl:call-template name="getKpwindowlayout">
					<xsl:with-param name="kpwindowlayout" select="$kpwindowlayout"/>
				</xsl:call-template>');
				<xsl:choose>
					<xsl:when test="$target = 'kpwindowborderleft' ">
								KPWindowLoadParseStr('<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>&amp;cmode=kpwindow_diaglogborder_panel','<xsl:value-of select="$target" />',KPWindowFindParent(this).id);
					</xsl:when>
					<xsl:when test="$target ='kpwindowborderright'">
								KPWindowLoadParseStr('<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>&amp;cmode=kpwindow_diaglogborder_panel','<xsl:value-of select="$target" />',KPWindowFindParent(this).id);
					</xsl:when>
					<xsl:when test="$target !='' ">
								KPWindowLoadParseStr('<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>','<xsl:value-of select="$target" />',KPWindowFindParent(this).id);
					</xsl:when>
					<xsl:otherwise>
								KPWindowLoadParseStr('<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="normalize-space($link)"/></xsl:call-template>',<xsl:call-template name="getTarget"/>,KPWindowFindParent(this).id);
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="make_submit">
		<xsl:param name="id" />
		<xsl:param name="target" />
		<xsl:param name="expire" />

		<xsl:choose>
			<xsl:when test="$target!=''">
				<xsl:text>KPWindowDoPost( '</xsl:text>
				<xsl:value-of select="$target"/>
				<xsl:text>','</xsl:text>
				<xsl:value-of select="$id"/>
				<xsl:text>');</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>KPWindowDoPost( </xsl:text>
				<xsl:call-template name="getTarget"/>
				<xsl:text>,'</xsl:text>
				<xsl:value-of select="$id"/>
				<xsl:text>');</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--hardcoded ids??? wtf is dit<xsl:template match="attr[@fieldtype='custom_onload_calc_tot']">
		<input type="hidden" name="component_onload" value="calc_tot(document.getElementById('n195'));"/>
	</xsl:template>-->

	<xsl:template name="main_dd"/>

	<xsl:template match="diag">
		<xsl:variable name="formid" select="$formid" />
		<xsl:choose>
			<xsl:when test="not(grid) and not(tabset)">
				<xsl:apply-templates select="./attrset">
					<xsl:with-param name="class">row</xsl:with-param>
					<xsl:with-param name="columnwidth">
						<xsl:call-template name="calc_columnwith" />
					</xsl:with-param>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="grid[not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE != '')] | attrset[not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE != '')] | tabset[not(@diag_mode) or (contains(@diag_mode,$DD_DIAG_MODE) and $DD_DIAG_MODE != '')]"/>	
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template> 

	<xsl:template name="td_controls">
		<xsl:param name="controls"/>
		<xsl:param name="link"/>
		<xsl:param name="class"/>
		<xsl:variable name="formid" select="$formid" />
		<td>
			<xsl:choose>
				<xsl:when test="$link[not(@lock) or @lock!='true']">
					<xsl:attribute name="class">
						<xsl:value-of select="concat('active controls', $controls/@class)"/>
					</xsl:attribute>
					<xsl:call-template name="control_img" >
						<xsl:with-param name="link" select="$link" />
						<xsl:with-param name="class" select="concat($class, ' ', $link/@class)"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class">
						<xsl:value-of select="concat('inactive controls', $controls/@class)"/>
					</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</xsl:template>

	<xsl:template name="tr_controls">
		<xsl:param name="grandparent_of_controls"/>
		<xsl:param name="controls"/>
		<xsl:variable name="formid" select="$formid" />
		<!--
				Als deze controls uberhaupt bij een record getoond moet worden: maak td aan.
				Controleer daarbij of er een record is waarbij controls getoond moeten worden.
				Als geen enkele record een control heeft die getoond moet worden, dan niets
			-->
		<xsl:if test="$grandparent_of_controls/item/controls[not(@lock) or @lock!='true']">
			<xsl:if test="$grandparent_of_controls/item/controls/back_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/back_link" />
					<xsl:with-param name="class" select="'back'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/add_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/add_link" />
					<xsl:with-param name="class" select="'add'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/edit_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/edit_link" />
					<xsl:with-param name="class" select="'edit'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/view_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/view_link" />
					<xsl:with-param name="class" select="'view'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/history_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/history_link" />
					<xsl:with-param name="class" select="'history'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/delete_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/delete_link" />
					<xsl:with-param name="class" select="'delete'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/print_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/print_link" />
					<xsl:with-param name="class" select="'print'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/close_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/close_link" />
					<xsl:with-param name="class" select="'close'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/export_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/export_link" />
					<xsl:with-param name="class" select="'export'"/>
				</xsl:call-template>
			</xsl:if>
			<xsl:if test="$grandparent_of_controls/item/controls/custom_link[not(@lock) or @lock!='true']">
				<xsl:call-template name="td_controls">
					<xsl:with-param name="controls" select="$controls" />
					<xsl:with-param name="link" select="$controls/custom_link" />
					<xsl:with-param name="class" select="'custom'"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template name="controls">
		<xsl:param name="controls"/>
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="$controls/*[not(@lock) or @lock!='true']">
			<ul>
				<xsl:if test="$controls/@class">
					<xsl:attribute name="class">
						<xsl:value-of select="$controls/@class"/>
					</xsl:attribute>
				</xsl:if>
				<xsl:if test="$controls/back_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/back_link" />
						<xsl:with-param name="class" select="concat('back ', $controls/back_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/add_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/add_link" />
						<xsl:with-param name="class" select="concat('add ', $controls/add_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/edit_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/edit_link" />
						<xsl:with-param name="class" select="concat('edit ', $controls/edit_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/view_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/view_link" />
						<xsl:with-param name="class" select="concat('view ', $controls/view_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/history_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/history_link" />
						<xsl:with-param name="class" select="concat('history ', $controls/history_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/delete_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/delete_link" />
						<xsl:with-param name="class" select="concat('delete ', $controls/delete_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/print_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/print_link" />
						<xsl:with-param name="class" select="concat('print ', $controls/print_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/close_link[not(@lock) or @lock!='true']">
					<xsl:call-template name="li_control" >
						<xsl:with-param name="link" select="$controls/close_link" />
						<xsl:with-param name="class" select="concat('close ', $controls/close_link/@class)"/>
					</xsl:call-template>
				</xsl:if>
				<xsl:if test="$controls/export_link[not(@lock) or @lock!='true']">
					<xsl:for-each select="$controls/export_link[not(@lock) or @lock!='true']">
						<xsl:call-template name="li_control" >
							<xsl:with-param name="link" select="$controls/export_link" />
							<xsl:with-param name="class" select="concat('export ', $controls/export_link/@class)"/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="$controls/custom_link[not(@lock) or @lock!='true']">
					<xsl:for-each select="$controls/custom_link[not(@lock) or @lock!='true']">
						<xsl:call-template name="li_control" >
							<xsl:with-param name="link" select="$controls/custom_link" />
							<xsl:with-param name="class" select="concat('custom ', $controls/custom_link/@class)"/>
						</xsl:call-template>
					</xsl:for-each>
				</xsl:if>
				<xsl:for-each select="$controls/item">
					<li>
						<xsl:if test="@label and position()!=last()">
							<xsl:attribute name="class">control_sepp</xsl:attribute>
						</xsl:if>
						<xsl:call-template name="control_img" >
							<xsl:with-param name="link" select="." />
							<xsl:with-param name="class">
								<xsl:value-of select="@class"/>
							</xsl:with-param>
						</xsl:call-template>
					</li>
				</xsl:for-each>
				<xsl:if test="$debug = 'true' and //debug">
					<li>
						<xsl:call-template name="control_img" >
							<xsl:with-param name="link" select="//debug" />
							<xsl:with-param name="class">icon fa fa-bug</xsl:with-param>
						</xsl:call-template>
					</li>
				</xsl:if>
			</ul>
		</xsl:if>
	</xsl:template>

	<xsl:template name="li_control">
		<xsl:param name="link" />
		<xsl:param name="class" />
		<xsl:variable name="formid" select="$formid" />
		<li>
			<xsl:call-template name="control_img" >
				<xsl:with-param name="link" select="$link" />
				<xsl:with-param name="class" select="$class" />
			</xsl:call-template>
		</li>
	</xsl:template>

	<xsl:template name="control_img">
		<xsl:param name="link" />
		<xsl:param name="class" />
		<xsl:variable name="formid" select="$formid" />
		<a>
			<xsl:attribute name="id">
				<xsl:value-of select="generate-id(.)" />_<xsl:value-of select="$class"/>
			</xsl:attribute>
			<xsl:attribute name="class">
				<xsl:text>icon </xsl:text>
				<xsl:if test="$class">
					<xsl:value-of select="$class"/>
				</xsl:if>
			</xsl:attribute>
			<xsl:attribute name="onclick">
				<xsl:value-of select="$link/@onclick" />
				<xsl:if test="$link/@detailscall">
					<xsl:call-template name="make_link">
						<xsl:with-param name="link">
							<xsl:value-of select="$link/@detailscall" />
						</xsl:with-param>
						<xsl:with-param name="target">
							<xsl:value-of select="$link/@target" />
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:attribute>	
			<xsl:if test="$link/@icon_img">
				<img>
					<xsl:attribute name="src">images/<xsl:value-of select="$link/@icon_img"/>
					</xsl:attribute>
				</img>
			</xsl:if>
			<xsl:if test="$link/@label">
				<xsl:value-of select="$link/@label" />
			</xsl:if>
			<xsl:comment>spacer</xsl:comment>
		</a>
		<xsl:if test="$link/@tooltip[.!='']">
			<input name="component_onload" type="hidden">
				<xsl:attribute name="value">displayTooltipContent('<xsl:value-of select="generate-id(.)" />_<xsl:value-of select="$class"/>', '<xsl:value-of select="$link/@tooltip"/>');</xsl:attribute>				
			</input>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>