<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">
<xsl:output method="xml" omit-xml-declaration="no" media-type="text/xml"/>

	<xsl:template match="/">
		<xsl:processing-instruction name="mso-application">
   			<xsl:text>progid="Excel.Sheet"</xsl:text>
  		</xsl:processing-instruction>
		<ss:Workbook >
		    <ss:Styles>
		        <ss:Style ss:ID="1">
		            <ss:Font ss:Bold="1"/>
		        </ss:Style>
		    </ss:Styles>
		    
		    <ss:Worksheet ss:Name="Sheet1">
		    	<xsl:apply-templates />
		        
		    </ss:Worksheet>
		</ss:Workbook>
	</xsl:template>
	
	<xsl:template match="attr[@fieldtype='table_list']">
		<ss:Table>
			<xsl:for-each select="header">
				<ss:Column>
					<xsl:choose>
						<xsl:when test="@width[.!='']"><xsl:attribute name="ss:Width"><xsl:value-of select="@width" /></xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="ss:AutoFitWidth">1</xsl:attribute></xsl:otherwise>
					</xsl:choose>
					
				</ss:Column>
			</xsl:for-each>
			
            <ss:Row ss:StyleID="1">
            	<xsl:for-each select="header">
	                <ss:Cell>
	                    <ss:Data ss:Type="String"><xsl:value-of select="." /></ss:Data>
	                </ss:Cell>
                </xsl:for-each>
            </ss:Row>
            <xsl:for-each select="item[@value!='']">
	           <ss:Row>
	           		<xsl:for-each select="label">
		           		<ss:Cell>
		                    <ss:Data>
		                    	<xsl:attribute name="ss:Type">
									<xsl:choose>
										<xsl:when test="@type[.!='']"><xsl:value-of select="@type" /></xsl:when>
										<xsl:otherwise>String</xsl:otherwise>
									</xsl:choose>
								</xsl:attribute>
		                    	<xsl:value-of select="." />
		                   	</ss:Data>
		                </ss:Cell>
		            </xsl:for-each>
	            </ss:Row>
            </xsl:for-each>
            
        </ss:Table>
	</xsl:template>
</xsl:stylesheet> 