<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:param name="cntxt"/>
<xsl:param name="DD_CONFIG_FILE"/>
<xsl:param name="DD_DIAG_MODE"/>
<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" media-type="text/plain"/>

<xsl:template match="/">
	<xsl:apply-templates select="/*"/>	
</xsl:template>

<xsl:template match="xam_export">
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="xam_subject">
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="xam_query">
	SELECT * FROM xam_import.import_query($$<xsl:value-of select="@query_name"/>$$, $$<xsl:value-of select="@query_type"/>$$, $$<xsl:value-of select="./query_text"/>$$, $$<xsl:value-of select="@lib_guid"/>$$);
</xsl:template>

<xsl:template match="xam_question">
	SELECT * FROM xam_import.import_question($$<xsl:value-of select="@questiontype_id"/>$$, $$<xsl:value-of select="@question_name"/>$$, $$<xsl:value-of select="@question_image"/>$$, $$<xsl:value-of select="@lib_guid"/>$$, $$<xsl:value-of select="./question_text"/>$$, $$<xsl:value-of select="./question_help"/>$$, $$<xsl:value-of select="@query_guid"/>$$, $$<xsl:value-of select="@set_guid"/>$$);
	<xsl:apply-templates select="xam_questionanswer"/>
</xsl:template>

<xsl:template match="xam_questionanswer">
	SELECT * FROM xam_import.import_questionanswer($$<xsl:value-of select="../@lib_guid"/>$$, $$<xsl:value-of select="@questionanswer_value"/>$$, $$<xsl:value-of select="@questionanswer_order"/>$$, $$<xsl:value-of select="@questionanswer_hasmanualinput"/>$$, $$<xsl:value-of select="@lib_guid"/>$$);
</xsl:template>

<xsl:template match="xam_context">
	SELECT * FROM xam_import.import_context($$<xsl:value-of select="@contexttype_id"/>$$, $$<xsl:value-of select="@context_code"/>$$, $$<xsl:value-of select="@layout"/>$$, $$<xsl:value-of select="@parent_guid"/>$$, $$<xsl:value-of select="@context_name"/>$$, $$<xsl:value-of select="@view_attribute"/>$$, $$<xsl:value-of select="@lib_guid"/>$$, $$<xsl:value-of select="@use_overlay"/>$$);
	<xsl:apply-templates select="*"/>
</xsl:template>

<xsl:template match="gen_acl">
	SELECT * FROM xam_import.import_context_acl($$<xsl:value-of select="../@lib_guid"/>$$, $$<xsl:value-of select="@ug_id"/>$$, $$<xsl:value-of select="@ug_name"/>$$, $$<xsl:value-of select="@acl_type"/>$$, $$<xsl:value-of select="@auth_create"/>$$, $$<xsl:value-of select="@auth_read"/>$$, $$<xsl:value-of select="@auth_update"/>$$, $$<xsl:value-of select="@auth_delete"/>$$, $$<xsl:value-of select="@auth_inactive"/>$$, $$<xsl:value-of select="@auth_acl"/>$$);
</xsl:template>

<xsl:template match="xam_context_default">
	SELECT * FROM xam_import.import_context_default($$<xsl:value-of select="../@lib_guid"/>$$, $$<xsl:value-of select="@contexttype_id"/>$$, $$<xsl:value-of select="@default_context_guid"/>$$);
</xsl:template>

<xsl:template match="xam_context_question">
	SELECT * FROM xam_import.import_context_question($$<xsl:value-of select="../@lib_guid"/>$$, $$<xsl:value-of select="@question_guid"/>$$, $$<xsl:value-of select="@displaytype_id"/>$$, $$<xsl:value-of select="@display_order"/>$$, $$<xsl:value-of select="@rights_view"/>$$, $$<xsl:value-of select="@rights_create"/>$$, $$<xsl:value-of select="@rights_edit"/>$$, $$<xsl:value-of select="@tag"/>$$, $$<xsl:value-of select="@default_value"/>$$, $$<xsl:value-of select="@mandatory"/>$$, $$<xsl:value-of select="@multiple"/>$$, $$<xsl:value-of select="@dashboard_order"/>$$, $$<xsl:value-of select="@lib_guid"/>$$);
</xsl:template>

<xsl:template match="xam_matview">
	<xsl:for-each select="context_guid">
	SELECT * FROM xam_import.import_matview($$<xsl:value-of select="."/>$$, $$<xsl:value-of select="@mv_name"/>$$);
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>