<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<!--xmlns="http://www.w3.org/1999/xhtml" version="1.0"-->
	<!-- head  -->
	<xsl:import href="kpwindow_head.xsl"/>
	<!-- The components -->
	<xsl:import href="chy/components.xsl"/>
	<xsl:import href="kpwindow_components.xsl"/>

	<xsl:output method="html" encoding="utf-8" indent="yes" />

	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>

	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>
	
	<xsl:variable name="formid">
		<xsl:value-of select="uuid:randomUUID()" xmlns:uuid="java:java.util.UUID" />
	</xsl:variable>

	<xsl:template match="/">

		<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html></xsl:text>
	<html>
		<xsl:call-template name="head"/>
		<body>
			<xsl:attribute name="onload">
				<xsl:text>javascript:resetMenuBox();KPWindowInit();KPWindowComponentForward(document.getElementById('kpwindowa1'));KPWindowRunComponentJS();</xsl:text>
			</xsl:attribute>

			<div id="wrapper">
				<div id="kpwindowloading">
					<i class="fa loading"><xsl:comment>spacer</xsl:comment></i>
				</div>
			<div id="kpwindowoverlay" class="dynamicContent" />
				<div id="mainCntr">
					<div id="kpwindowborderleft" class="dynamicContent"/>
					<header id="kpwindowbordertop" class="dynamicContent"/>

					<div id="kpwindowscrollpane">
						<div class="center">
							<div id="kpwindowa1" class="dynamicContent">
								<xsl:apply-templates select="diag/*/attr[@fieldtype='hidden2' or @fieldtype='kpwindows']"/>
							</div>
							<section id="kpwindowb1" class="dynamicContent"/>
							<div id="kpwindowc1" class="dynamicContent"/>
							<div id="kpwindowa2" class="dynamicContent"/>
							<section id="kpwindowb2" class="dynamicContent"/>
							<div id="kpwindowc2" class="dynamicContent"/>
							<div id="kpwindowa3" class="dynamicContent">&#160;</div>
							<div id="kpwindowb3" class="dynamicContent"/>
							<div id="kpwindowc3" class="dynamicContent"/>
							<div id="kpwindowa4" class="dynamicContent"/>
							<div id="kpwindowb4" class="dynamicContent"/>
							<div id="kpwindowc4" class="dynamicContent"/>
							<div id="kpwindowa5" class="dynamicContent"/>
							<div id="kpwindowb5" class="dynamicContent"/>
							<div id="kpwindowc5" class="dynamicContent"/>
						</div>
					</div>

					<footer id="kpwindowborderbottom" class="dynamicContent">
						<div class="center">
							<p>benp.nl</p>
						</div>
					</footer>
					<div id="kpwindowborderright" class="dynamicContent"/>
				</div>
				<div id="tempContentDiv"/>		
				<!--<div data-dojo-type="chy/widget/Fortune"></div>-->
			</div>
			<!-- VALIDATECANCEL -->
			<input type="hidden" name="novalidation" id="novalidation" />

			<script type="text/javascript">
					require(['chy/History'],function(hist){
						KPWindowHistory = new hist({windowIDs:['kpwindowb2']});
					});
			</script>
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>