﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: label

Description: A label element is only for display puposes

-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<!-- (SaPr) : New draggable stuff, but without DIV positioning -->
	<xsl:template match="attr[@fieldtype='dragabletext']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<!--TODO suckt met styling tables... <xsl:if test="@header[.!='']"><font class="dragdropheader"><xsl:value-of select="@header"/></font></xsl:if> -->
			<div>
				<xsl:if test="@dragdrop[.!='']"><xsl:attribute name="dragdrop"><xsl:value-of select="@dragdrop"/></xsl:attribute></xsl:if>
				<xsl:if test="@allowdropfrom[.!='']"><xsl:attribute name="allowdropfrom"><xsl:value-of select="@allowdropfrom"/></xsl:attribute></xsl:if>
				<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
				<xsl:if test="@align[.!='']"><xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute></xsl:if>
				<xsl:if test="@class[.!='']"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
				<ul class="sortable boxy">
					<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/><xsl:text>_ul</xsl:text></xsl:attribute></xsl:if>
					<xsl:if test="@drophandlerurl[.!='']"><xsl:attribute name="ondroppedon">handleOnDroppedOn('<xsl:value-of select="@drophandlerurl"/>')</xsl:attribute></xsl:if>
					<xsl:if test="@ondroppedon[.!='']"><xsl:attribute name="ondroppedon"><xsl:value-of select="@ondroppedon"/></xsl:attribute></xsl:if>
					<xsl:if test="count(*)=0 and @containertext[.!='']"><font class="dragdropcontainer"><xsl:value-of select="@containertext"/></font></xsl:if>
					<xsl:for-each select="dragitem">
						<xsl:apply-templates select="."/>
					</xsl:for-each>
				</ul>
			</div>
			<input type="hidden">
				<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:attribute name="id"><xsl:value-of select="@id"/>_input</xsl:attribute>
			</input>
			<input type="hidden">
				<xsl:attribute name="name"><xsl:value-of select="@id"/>_order</xsl:attribute>
				<xsl:attribute name="id"><xsl:value-of select="@id"/>_order_input</xsl:attribute>
			</input>
			<!--<input type="hidden" name="component_js_include" value="script/dd_drag_drop.js"/>-->
			<input type="hidden" name="component_onload">
				<xsl:attribute name="value">
					<xsl:if test="@clone[.!='']">
						cloneNodeOnDrop = true;
					</xsl:if>
					refreshDragDrops();
				</xsl:attribute>
			</input>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="dragitem">
		<li>
			<xsl:if test="@itemid[.!='']"><xsl:attribute name="id"><xsl:value-of select="@itemid"/></xsl:attribute></xsl:if>
			<xsl:if test="@itemid[.!='']"><xsl:attribute name="itemid"><xsl:value-of select="@itemid"/></xsl:attribute></xsl:if>
			<xsl:if test="@ondrop[.!='']"><xsl:attribute name="ondrop"><xsl:value-of select="@ondrop"/></xsl:attribute></xsl:if>
			<xsl:if test="@order[.!='']"><xsl:attribute name="order"><xsl:value-of select="@order"/></xsl:attribute></xsl:if>
			<xsl:attribute name="class">
				<xsl:value-of select="@fieldtype"/>
			</xsl:attribute>
			<xsl:value-of select="./content"/>
			<xsl:for-each select="*/attr[@fieldtype='hidden']">
				<xsl:call-template name="hidden"/> 
			</xsl:for-each>	
			<xsl:if test="attrset">
				<xsl:variable name="columnwidth">
					<xsl:choose>
						<xsl:when test="@columnwidth[.!='']">
							<xsl:value-of select="@columnwidth" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="calc_columnwith" />
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:apply-templates select="attrset">
					<xsl:with-param name="class">row</xsl:with-param>
					<xsl:with-param name="columnwidth"><xsl:value-of select="$columnwidth" /></xsl:with-param>
					<xsl:with-param name="firstcolumnwidth"><xsl:value-of select="@firstcolumnwidth" /></xsl:with-param>
				</xsl:apply-templates>
			</xsl:if>
			<!--<xsl:if test="dragitem">
				<ul class="sortable boxy" style="MARGIN-LEFT: 1em"><xsl:apply-templates select="dragitem"/></ul>
			</xsl:if>-->
		</li>
	</xsl:template>
	
	<!--
		(SaPr) : New draggable stuff, positioned with DIV's
			 Positioning can now be done with left- and topvalues.
			 Also width will work for Internet Explorer.
	-->
	<xsl:template match="attr[@fieldtype='dragabletextdiv']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div>
				<xsl:if test="@dragdrop[.!='']"><xsl:attribute name="dragdrop"><xsl:value-of select="@dragdrop"/></xsl:attribute></xsl:if>
				<xsl:if test="@allowdropfrom[.!='']"><xsl:attribute name="allowdropfrom"><xsl:value-of select="@allowdropfrom"/></xsl:attribute></xsl:if>
				<xsl:if test="@ondrop[.!='']"><xsl:attribute name="ondrop"><xsl:value-of select="@ondrop"/></xsl:attribute></xsl:if>
				<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
				<xsl:if test="@left[.!='']"><xsl:attribute name="left"><xsl:value-of select="@left"/></xsl:attribute></xsl:if>
				<xsl:if test="@top[.!='']"><xsl:attribute name="top"><xsl:value-of select="@top"/></xsl:attribute></xsl:if>
				<xsl:if test="@align[.!='']"><xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute></xsl:if>
				<xsl:if test="@header[.!='']"><font class="dragdropdivheader"><xsl:value-of select="@header"/></font></xsl:if>
				<ul class="sortable boxy">
					<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/><xsl:text>_ul</xsl:text></xsl:attribute></xsl:if>
					<xsl:if test="@ondroppedon[.!='']"><xsl:attribute name="ondroppedon"><xsl:value-of select="@ondroppedon"/></xsl:attribute></xsl:if>
					<xsl:for-each select="dragitem">
						<li>
							<xsl:if test="@itemid[.!='']"><xsl:attribute name="id"><xsl:value-of select="@itemid"/></xsl:attribute></xsl:if>
							<xsl:if test="@itemid[.!='']"><xsl:attribute name="itemid"><xsl:value-of select="@itemid"/></xsl:attribute></xsl:if>
							<xsl:if test="@ondrop[.!='']"><xsl:attribute name="ondrop"><xsl:value-of select="@ondrop"/></xsl:attribute></xsl:if>
							<xsl:if test="@order[.!='']"><xsl:attribute name="order"><xsl:value-of select="@order"/></xsl:attribute></xsl:if>
							<!--
								(SaPr) dirrty way of spacing horizontally (only works in IE for now).
							-->
<!--
							<img>
								<xsl:attribute name="src"><xsl:text>images/clear.gif</xsl:text></xsl:attribute>
								<xsl:if test="@width[.!='']"><xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute></xsl:if>
								<xsl:attribute name="height"><xsl:text>1</xsl:text></xsl:attribute>
								<xsl:attribute name="border"><xsl:text>0</xsl:text></xsl:attribute>
							</img><br/>
-->
							<xsl:attribute name="class"><xsl:value-of select="@fieldtype"/></xsl:attribute>
							<xsl:value-of select="./content"/>
						</li>
					</xsl:for-each>
				</ul>
			</div>
			<input type="hidden" name="component_js_include" value="script/dd_drag_drop.js"/>
			<input type="hidden" name="component_onload">
				<xsl:attribute name="value">
				  refreshDragDrops();
				</xsl:attribute>
			</input>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
