<?xml version="1.0" encoding="UTF-8"?> 
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="attr[@fieldtype='textarea']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<span>
				<xsl:if test="@class[.!='']"><xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute></xsl:if>
				<textarea>
					<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if> 
    				<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
        			<xsl:if test="@cols[.!='']"><xsl:attribute name="cols"><xsl:value-of select="@cols"/></xsl:attribute></xsl:if>
        			<xsl:if test="@rows[.!='']"><xsl:attribute name="rows"><xsl:value-of select="@rows"/></xsl:attribute></xsl:if>
					<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>								
					<xsl:if test="@maxlength[.!='']">
						<xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute>
						<xsl:if test="not(@readonly) or @readonly[.!='true']">
							<xsl:attribute name="onKeyUp">textCounter(this,document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
							<xsl:attribute name="onKeyPress">textCounter(this,document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
						</xsl:if>
					</xsl:if>
					<xsl:if test="@validate[.!='']">
						<xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute>
						<xsl:attribute name="emsg">
							<xsl:text>Maximale lengte overschreden</xsl:text>
						</xsl:attribute>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="./content/@filecontent and ./content/@filecontent != ''">
							<xsl:variable name="filename" select="./content/@filecontent" />
							<xsl:choose>
								<xsl:when test="normalize-space(//text_content[@id=$filename]/content)!=''">
									<xsl:value-of select="//text_content[@id=$filename]/content" />
								</xsl:when>	
								<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>
								<xsl:otherwise><xsl:value-of select="content" /></xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<xsl:when test="normalize-space(content)=''"><xsl:value-of select="@default"/></xsl:when>	
						<xsl:otherwise><xsl:value-of select="content" /></xsl:otherwise>
					</xsl:choose>
					<xsl:text> </xsl:text>
				</textarea>
				<xsl:if test="@parentid[.!='']">
					<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
					  el = document.getElementById('<xsl:value-of select="@parentid"/>');el.value=el.value.replace(/[\s\240 ]*$/g, '');
					</xsl:attribute>
					</input>
				</xsl:if>
				<xsl:if test="@id[.!='']">
    					<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
					  el = document.getElementById('<xsl:value-of select="@id"/>'); el.value=el.value.replace(/[\s\240 ]*$/g, '');
					</xsl:attribute>
					</input>
    				</xsl:if>
    			<xsl:if test="(not(@readonly) or @readonly[.!='true']) and @maxlength[.!='']">
					<input type="text" class="textcounter"  readonly="true">
						<xsl:attribute name="id">cnt_<xsl:value-of select="@id"/></xsl:attribute>
					</input>
				</xsl:if>
				<xsl:if test="(not(@readonly) or @readonly[.!='true']) and @maxlength[.!='']">
					<input type="hidden" name="component_onload">
						<xsl:attribute name="value">textCounter(document.getElementById('<xsl:value-of select="@id"/>'),document.getElementById('cnt_<xsl:value-of select="@id"/>'),<xsl:value-of select="@maxlength"/>);</xsl:attribute>
					</input>
				</xsl:if>
			</span>			
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
