<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<!-- The dd items -->
	<xsl:import href="../chy/components.xsl"/>
	<xsl:import href="../kpwindow_components.xsl"/>
	<xsl:import href="../project_components.xsl"/>
	<xsl:import href="../custom.xsl"/>
	<xsl:param name="cntxt"/> 
	<xsl:param name="DD_CONFIG_FILE"/>
	<!--  Required to pass the context to the sylesheet from dd -->
	<xsl:param name="DD_DIAG_MODE"/>
	<xsl:variable name="settings" select="document($DD_CONFIG_FILE)/dd_config"/>

	<xsl:variable name="formid">
		<xsl:value-of select="//diag/@formid" />
	</xsl:variable>
	
	<!--<xsl:output method="html" version="1.0" encoding="ISO-8859-1" indent="no" omit-xml-declaration="no" media-type="text/xml"></xsl:output>-->
	<xsl:output method="xhtml" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="no" media-type="text/xml"/>
	
	<!-- The main template -->
	<xsl:template match="/">
		<div class="dialogsnippet">
			<div class="dialogcontent">
				<div class="dialogheader">
					<xsl:if test="diag/@name != ''">
						<div class="dialogtitle">
							<xsl:value-of select="diag/@name" />
							<xsl:if test="diag/@sub_name != ''">
								<span class="dialogsubtitle">
									<xsl:value-of select="diag/@sub_name" />
								</span>
							</xsl:if>
						</div>
					</xsl:if>
					<xsl:if test="//diag/controls/*">
						<div class="controls dialogcontrols">
							<div class="icons">
								<xsl:call-template name="controls" >
									<xsl:with-param name="controls" select="//diag/controls"/>
								</xsl:call-template>
							</div>
						</div>
					</xsl:if>
					<xsl:if test="diag/*/attr[@mode='top' or @mode='tab']">
						<div class="tabmenu">
							<xsl:for-each select="diag/*/attr[@mode='top' or @mode='tab']">
								<xsl:call-template name="button"/>
							</xsl:for-each>
						</div>
					</xsl:if>
				</div>
				<xsl:call-template name="dialogHeader">
					<xsl:with-param name="formid">
						<xsl:value-of select="$formid"/>
					</xsl:with-param>
				</xsl:call-template>
				
				<div class="dialogbody">
					<xsl:apply-templates />
				</div>						
			</div>
			<xsl:if test="diag/*/attr[@mode='bottom' or @mode='tab']">
				<div class="bottommenu" valign="top">
					<xsl:for-each select="diag/*/attr[@mode='bottom' or @mode='tab']">
						<xsl:call-template name="button"/>
					</xsl:for-each>
				</div>
			</xsl:if>
		</div>
	</xsl:template>
</xsl:stylesheet>