<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='timetextbox']">
		<xsl:variable name="formid" select="$formid" />
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
				
			<input class="text_item" type="text" data-dojo-type="chy/form/TimeTextBox">

				<xsl:attribute name="data-dojo-props">
							<xsl:if test="@readonly[.='true'] or ../@readonly[.='true']">readonly:true,</xsl:if>
							<xsl:if test="@readonly[.='true']">baseClass:'dijitReadOnly',</xsl:if>
							<xsl:if test="../@readonly[.='true']">baseClass:'dijitReadOnlyForm',</xsl:if>
							constraints: {
								timePattern: 'HH:mm',
								clickableIncrement: 'T00:15',
								visibleIncrement: 'T00:15',
								visibleRange: 'T01:00'
							},
							name: '<xsl:value-of select="@id"/>',
							formId: '<xsl:value-of select="$formid"/>',
							chyValidateStr: '<xsl:value-of select="@validate"/>'
				</xsl:attribute>
       			
       			<xsl:if test="@id[.!='']">
   					<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
   					<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
   				</xsl:if>
				
				<!-- Formatting -->
			    <xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>
       			<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly"/></xsl:if>
				
				<!-- Content -->
				<xsl:if test="normalize-space(content)!=''"><xsl:attribute name="value">T<xsl:value-of select="content"/></xsl:attribute></xsl:if>
			</input>
			<!--<xsl:variable name="val">
				<xsl:choose>
					<xsl:when test="normalize-space(content)!=''">'T<xsl:value-of select="content"/>'</xsl:when>
					<xsl:otherwise>new Date()</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<input type="hidden" name="component_onload"  >
				<xsl:attribute name="value">
					require(["chy/form/TimeTextBox","dojo/domReady!"],function(TimeTextBox){
						var wdg=new TimeTextBox({name: "<xsl:value-of select="@id"/>", value: <xsl:value-of select="$val" />,
				            constraints: {
				                timePattern: 'HH:mm',
				                clickableIncrement: 'T00:15:00',
				                visibleIncrement: 'T00:15:00',
				                visibleRange: 'T01:00:00'
				            }
				        }, "<xsl:value-of select="@id"/>");
						
						wdg.startup();
					});
				</xsl:attribute>
			</input>-->
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
