<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="attr[@fieldtype='tree']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div class="nihilo">
				<div data-dojo-type="dojo/store/Memory">
					<xsl:attribute name="data-dojo-id">store_<xsl:value-of select="@id"/></xsl:attribute>
					<script type="dojo/method">
						this.setData([
							<xsl:for-each select="item">
								{id:"<xsl:value-of select="@id"/>",parent:"<xsl:value-of select="@parent_id"/>" ,name:"<xsl:value-of select="@label"/>", type: "<xsl:value-of select="@type"/>" ,href:"<xsl:value-of select="@href"/>"}
								<xsl:if test="position()!=last()">,</xsl:if>
							</xsl:for-each>
						]);
						
					</script>
					<script type="dojo/method" data-dojo-event="getChildren" data-dojo-args="object">
						return this.query({parent: object.id});
					</script>
					<xsl:comment>spacer</xsl:comment>
				</div>
				<div data-dojo-type="dijit/tree/ObjectStoreModel">
					  <xsl:attribute name="data-dojo-id">model_<xsl:value-of select="@id"/></xsl:attribute>
					  <xsl:attribute name="data-dojo-props">store: store_<xsl:value-of select="@id"/>, query: {id: '<xsl:value-of select="@root_id"/>'}</xsl:attribute>
				</div>
	
				<div data-dojo-type="dijit/Tree">
					<xsl:attribute name="id">tree_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:attribute name="data-dojo-id">tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" /></xsl:attribute>
					<xsl:attribute name="data-dojo-props">model: model_<xsl:value-of select="@id"/>, autoExpand: true, showRoot: false</xsl:attribute>
					<script type="dojo/method" data-dojo-event="getIconClass" data-dojo-args="item, opened">
							return "tree" + item.type.toLowerCase() + (opened?" open":"");
					</script>
					<script type="dojo/method" data-dojo-event="onClick" data-dojo-args="item">
						if(item.type =='file') {
							document.getElementById('<xsl:value-of select="@id" />_selected').innerHTML = item.name;
							document.getElementById('<xsl:value-of select="@id" />').value = item.id;
						}
						else {
							this.set('path','');
						}
					</script>
					<xsl:comment>spacer</xsl:comment>
				</div>
			</div>
			<div class="tree_selected">
				<span>
					<xsl:attribute name="id"><xsl:value-of select="@id" />_selected</xsl:attribute>
					<xsl:comment>spacer</xsl:comment>
				</span>
				<input type="hidden">
					<xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="content/@id" /></xsl:attribute>
				</input>
				
				
				<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
						tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />.singular = true;
						<xsl:if test="content != ''">
						tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />.set('path',<xsl:value-of select="content" />);
						</xsl:if>
					</xsl:attribute>
				</input>
			</div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="attr[@fieldtype='dav_tree']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div class="nihilo">
				<xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:attribute name="data-dojo-type">chy/widget/Davtree</xsl:attribute>
				<xsl:attribute name="data-dojo-props">
					url: '<xsl:value-of select="@url"/>',
					detailscall: '<xsl:value-of select="@detailscall"/>',
					root: '<xsl:value-of select="@root"/>',
					content: '<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="content"/></xsl:call-template>'
				</xsl:attribute>
			</div>
			<!--<div class="nihilo dav_tree">
				<div>
					<xsl:attribute name="id">tree_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</div>
			</div>
			<div class="tree_selected">
				<span>
					<xsl:attribute name="id"><xsl:value-of select="@id" />_selected</xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
				<input type="hidden">
					<xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="content/@id" /></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</input>
				
				
				<input type="hidden" name="component_onload">
					<xsl:attribute name="value">
						displayTree('tree_<xsl:value-of select="@id"/>',"<xsl:value-of select="@url"/>","<xsl:value-of select="@detailscall"/>","<xsl:value-of select="@root"/>","<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="content"/></xsl:call-template>");
					</xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</input>
				<xsl:comment>//</xsl:comment>
			</div>-->
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="attr[@fieldtype='dav_tree_old']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<div class="nihilo">
				<div data-dojo-type="chy/store/Json">
					<xsl:attribute name="data-dojo-id">store_<xsl:value-of select="@id"/></xsl:attribute>
					<script type="dojo/method">
						this.setData([
							<xsl:for-each select="item">
								{id:"<xsl:value-of select="@id"/>",parent:"<xsl:value-of select="@parent_id"/>" ,name:"<xsl:value-of select="@label"/>", type: "<xsl:value-of select="@type"/>" ,href:"<xsl:value-of select="@href"/>"}
								<xsl:if test="position()!=last()">,</xsl:if>
							</xsl:for-each>
						]);
						
					</script>
					<script type="dojo/method" data-dojo-event="getChildren" data-dojo-args="object">
						return this.query({parent: object.id});
					</script>
					<xsl:comment>//</xsl:comment>
				</div>
				<div data-dojo-type="dijit/tree/ObjectStoreModel">
					  <xsl:attribute name="data-dojo-id">model_<xsl:value-of select="@id"/></xsl:attribute>
					  <xsl:attribute name="data-dojo-props">store: store_<xsl:value-of select="@id"/>, query: {id: '<xsl:value-of select="@root_id"/>'}</xsl:attribute>
					  <xsl:comment>//</xsl:comment>
				</div>
	
				<div data-dojo-type="dijit/Tree">
					<xsl:attribute name="id">tree_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:attribute name="data-dojo-id">tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" /></xsl:attribute>
					<xsl:attribute name="data-dojo-props">model: model_<xsl:value-of select="@id"/>, autoExpand: false, showRoot: true</xsl:attribute>
					<script type="dojo/method" data-dojo-event="getIconClass" data-dojo-args="item, opened">
							return "tree" + item.type.toLowerCase() + (opened?" open":"");
					</script>
					<script type="dojo/method" data-dojo-event="onClick" data-dojo-args="item">
						if(item.type =='file') {
							document.getElementById('<xsl:value-of select="@id" />_selected').innerHTML = item.name;
							document.getElementById('<xsl:value-of select="@id" />').value = item.id;
						}
						else {
							this.set('path','');
						}
					</script>
					<xsl:comment>//</xsl:comment>
				</div>
			</div>
			<div class="tree_selected">
				<span>
					<xsl:attribute name="id"><xsl:value-of select="@id" />_selected</xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
				<input type="hidden">
					<xsl:attribute name="id"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="@id" /></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="content/@id" /></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</input>
				
				
				<input type="hidden" name="xcomponent_onload">
					<xsl:attribute name="value">
						tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />.singular = true;
						<xsl:if test="content != ''">
						tree_<xsl:value-of select="@id"/><xsl:value-of select="generate-id()" />.set('path','<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="content"/></xsl:call-template>');
						</xsl:if>
					</xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</input>
				<xsl:comment>//</xsl:comment>
			</div>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
