<?xml version="1.0"?>

<!-- 

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_file']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			<xsl:variable name="separator">^^</xsl:variable>
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
	       		
	       			<xsl:if test="substring-after(normalize-space(content),$separator)!=''">
	       				<xsl:choose>
	       					<xsl:when test="filesize !='' and filesize != '0'">
			       				<a target="_blank">
			       					<xsl:attribute name="href" >jsp/callDocstore.jsp?downloadAs=<xsl:value-of select="filename"/>&amp;P_DOC_ID=<xsl:value-of select="substring-before(normalize-space(content),$separator)"/>&amp;url=<xsl:value-of select="docStoreBase"/><xsl:value-of select="substring-after(normalize-space(content),$separator)"/></xsl:attribute>
			       					<xsl:value-of select="filename"/>
			       				</a>
			       			</xsl:when>
			       			<xsl:otherwise>
			       				<span class="file-error"><xsl:value-of select="filename"/></span><br />
			       				<span class="feedbackerrortext"><xsl:value-of select="errormsg" /></span>
			       			</xsl:otherwise>
	       				</xsl:choose>
	       			</xsl:if>
	       			<xsl:if test="@readonly[.!='true'] and ../@readonly[.!='true']">
	       				<div>
	       					<xsl:attribute name="data-dojo-type">chy/form/FileUpload</xsl:attribute>
	       					<xsl:attribute name="data-dojo-props">
							<xsl:choose>
								<xsl:when test="normalize-space(content)!=''">value:'<xsl:attribute name="value"><xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="content"/></xsl:call-template>',</xsl:attribute></xsl:when>
								<xsl:otherwise><xsl:attribute name="value">value:'<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="@default"/></xsl:call-template>',</xsl:attribute></xsl:otherwise>
							</xsl:choose>
	       					<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly">readonly:true,</xsl:attribute></xsl:if>	
	       						id:'<xsl:value-of select="@id"/>',
	       						sessionId: '<xsl:value-of select="../@session"/>'
	       					</xsl:attribute>
	       				</div>
	       			</xsl:if>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden"  >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>