<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="item[@fieldtype='q_password']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<!-- Display question text -->
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			
			<!-- Display question answer -->
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
	       		<input class="text_item">
	       			<xsl:attribute name="type">password</xsl:attribute>
					<xsl:if test="@id[.!='']"><xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
					<xsl:if test="@id[.!='']"><xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute></xsl:if>
					<xsl:choose>
						<xsl:when test="normalize-space(content)!=''"><xsl:attribute name="value"><xsl:value-of select="content"/></xsl:attribute></xsl:when>
						<xsl:otherwise><xsl:attribute name="value"><xsl:value-of select="@default"/></xsl:attribute></xsl:otherwise>
					</xsl:choose>
				    <xsl:if test="@maxlength[.!='' and .!='0']"><xsl:attribute name="maxlength"><xsl:value-of select="@maxlength"/></xsl:attribute></xsl:if>
					<xsl:if test="@size[.!='']"><xsl:attribute name="size"><xsl:value-of select="@size"/></xsl:attribute></xsl:if>
	       			<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
					<xsl:if test="@validate[.!='']"><xsl:attribute name="alt"><xsl:value-of select="@validate"/></xsl:attribute></xsl:if>
					<xsl:if test="@required[.='true']"><xsl:attribute name="required"><xsl:value-of select="@required"/></xsl:attribute></xsl:if>
				</input>
				<span>
					<xsl:attribute name="id">errorsDiv<xsl:value-of select="$formid"/>_<xsl:value-of select="@id"/></xsl:attribute>
					<xsl:comment>//</xsl:comment>
				</span>
			</td>
			<!-- hidden for processing formitem by dd -->
			<input type="hidden">
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>