<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<xsl:template match="item[@fieldtype='q_popup_json']">
		<xsl:param name="form_id"/>
		<xsl:param name="overrides"/>
		<xsl:variable name="formid" select="$formid" />
			<xsl:call-template name="questiontext">
				<xsl:with-param name="overrides" select="$overrides" />
			</xsl:call-template>
			<td>
				<xsl:if test="$overrides and $overrides/@styleCSS[.!='']">
						<xsl:attribute name="style">
							<xsl:value-of select=" $overrides/@styleCSS"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:if test="$overrides and $overrides/@rowspan[.!='']">
						<xsl:attribute name="rowspan">
							<xsl:value-of select=" $overrides/@rowspan"/>
						</xsl:attribute>
				</xsl:if>
				<xsl:attribute name="class">
					<xsl:choose>
						<xsl:when test="@class[.!='']">
							<xsl:value-of select="@class"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>questionanswer</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$overrides and $overrides/@colspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="$overrides/@colspan" /></xsl:attribute></xsl:when>
					<xsl:when test="@fspan[.!='']"><xsl:attribute name="colspan"><xsl:value-of select="@fspan" /></xsl:attribute></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
				
				<xsl:if test="@fwidth[.!='']"><xsl:attribute name="width"><xsl:value-of select="@fwidth" /></xsl:attribute></xsl:if>
				<xsl:choose>
	       			<xsl:when test="../@readonly[.='true']">
	       				<xsl:choose>
							<xsl:when test="normalize-space(elseContent)!=''"><xsl:value-of select="elseContent"/></xsl:when>
							<xsl:otherwise><xsl:value-of select="@default"/></xsl:otherwise>
						</xsl:choose>
	       			</xsl:when>
	       			<xsl:otherwise>
						<input type="text" class="field" placeholder="Zoeken..." data-dojo-type="chy/form/PopupJson">
							<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
							<xsl:attribute name="name"><xsl:value-of select="@id"/>_displayvalue</xsl:attribute>
							<xsl:attribute name="realname"><xsl:value-of select="@id"/></xsl:attribute>
							<xsl:attribute name="data-dojo-props">
								dataUrl:'<xsl:value-of select="data_url" />',
								isRequired:false,
								hasArrow:false,
								useLabel:true,
								formId:'<xsl:value-of select="$formid"/>',
								val:'<xsl:value-of select="content" />',
								mapping: [
								<xsl:for-each select="mapping/map">
									{source: '<xsl:value-of select="@source" />', target: '<xsl:value-of select="@target" />'}<xsl:if test="position() != last()">,</xsl:if>
								</xsl:for-each>]
							</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="elseContent" /></xsl:attribute>
						</input>
					</xsl:otherwise>
				</xsl:choose>
			</td>

			<input type="hidden" >
				<xsl:attribute name="name"><xsl:value-of select="$form_id"/></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
			</input>
	</xsl:template>
</xsl:stylesheet>